Scilab Function
Last update : 16/06/2004

double - conversion de type entier vers flottant double précision.

### Calling Sequence

  `y=double(X)`
  `y=int16(X)`
  `y=int32(X)`
  `y=uint8(X)`
  `y=uint16(X)`
  `y=uint32(X)`

### Parameters

- `X` : matrice de flottants ou d'entiers
- `y` : matrice de flottants

### Description

Convertit des données sous forme d'entiers à 1,2 ou 4 octets au type flottant double précision. Si les composantes de `X` sont déjà des flottants double précision il n'y a pas de conversion.

### Examples

    x=int8([0 12 140])
    double(x)

### See Also

`int8`, `inttype`, `type`,